Loading...
Searching...
No Matches
bsoncxx::v_noabi::types::b_int32 Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON signed 32-bit integer value.

## Public Member Functions

| operator int32_t () const
| Conversion operator unwrapping a int32_t.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_int32 const &lhs, b_int32 const &rhs)
| free function comparator for b_int32
bool | operator== (b_int32 const &lhs, b_int32 const &rhs)
| free function comparator for b_int32

## Member Function Documentation

## operator int32_t()

bsoncxx::v_noabi::types::b_int32::operator int32_t | ( |  | ) | const

inline

Conversion operator unwrapping a int32_t.

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_int32 const & | lhs,
|  | b_int32 const & | rhs )

related

free function comparator for b_int32

## operator==()

bool operator== | ( | b_int32 const & | lhs,
|  | b_int32 const & | rhs )

related

free function comparator for b_int32

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp